Skip to main content
GET
/
v2
/
files
List files
curl --request GET \
  --url https://api.attio.com/v2/files \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": {
        "workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
        "file_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
      },
      "object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
      "object_slug": "people",
      "record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b",
      "storage_provider": "attio",
      "created_by_actor": {
        "type": "workspace-member",
        "id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
      },
      "created_at": "2023-01-01T15:00:00.000000000Z",
      "file_type": "file",
      "name": "document.pdf",
      "content_type": "application/pdf",
      "content_size": 1024,
      "parent_folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "pagination": {
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.attio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

Query Parameters

object
string
required

The object slug or ID.

Minimum string length: 1
record_id
string<uuid>
required

Used to filter files to only those on a specific record.

storage_provider
enum<string>

Filter results by storage provider.

Available options:
attio,
dropbox,
box,
google-drive,
microsoft-onedrive
parent_folder_id
string<uuid>

Filter by parent folder ID. Each file entry has provided optioanl parent_folder_id that can be used to filter results by folder. When omitted, entries at all nesting levels are returned.

limit
integer
default:50

The maximum number of files to return. Must be between 1 and 200. Defaults to 50.

Required range: 1 <= x <= 200
Example:

50

cursor
string

A pagination cursor used to fetch the next page of files. Responses with more files will include a cursor for you to use here. If not provided, the first page will be returned.

Response

200 - application/json

Success

Success

data
(File · object | Folder · object | Connected File · object | Connected Folder · object)[]
required
pagination
object
required